Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class DirectoryScanner

    java.lang.Object
      org.exist.util.DirectoryScanner

public class DirectoryScanner
extends java.lang.Object

Constructor Summary
`DirectoryScanner()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static boolean` | `match(java.lang.String pattern, java.lang.String name)`
`static boolean` | `matchStart(java.lang.String pattern, java.lang.String name)`
`static java.io.File[]` | `scanDir(java.io.File baseDir, java.lang.String pattern)`
`static java.io.File[]` | `scanDir(java.lang.String pattern)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryScanner

    public DirectoryScanner()

Method Detail

### scanDir

    public static final java.io.File[] scanDir(java.lang.String pattern)

### scanDir

    public static final java.io.File[] scanDir(java.io.File baseDir,
                                               java.lang.String pattern)

### match

    public static final boolean match(java.lang.String pattern,
                                      java.lang.String name)

### matchStart

    public static final boolean matchStart(java.lang.String pattern,
                                           java.lang.String name)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.